import { geoPath, geoGraticule } from 'd3';

const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
